<?php
namespace net\xmp\phpbook;
require './DatabaseConnection.php';
require './HTMLPage.php';
require './update_salesorder_db.php';

// Firmly defined for demonstration purposes
$updateOrderHeader = 71915;
$updateOrders = array(array(113089, 6, 0.10), array(113090, 1, 0.0),
                      array(113091, 10, 0.20), array(113093, 3, 0.035));
$html = new HTMLPage('AdventureWorks : Order Amount and Discount Correction');
$db = new DatabaseConnection();
$db->connect();
$orders = new UpdateOrders($db);

// Read and display data before update
$before = $orders->getByHeader($updateOrderHeader);
$html->addHTML('<div style="position:absolute;top:4em">');
$html->addElement('h2', 'Before Update');
$html->addTable($before);

// Prepare query and run multiple times
$orders->prepare();
foreach ($updateOrders as $order) {
    list($id, $qty, $discount) = $order;
    $orders->update($id, $qty, $discount);
}
$orders->free();

// Read and display data after update
$after = $orders->getByHeader($updateOrderHeader);
$html->addHTML('</div><div style="position:absolute;top:4em;left:15em">');
$html->addElement('h2', 'After update');
$html->addTable($after);
$html->addHTML('</div>');
$db->close();
$html->printPage();
?>
