/**
 * Links a single attribute value
 */
function link($value, $link=false) {
    $txt = htmlspecialchars($value);
    // No information -> clear text
    if ($link === false) {
        return $txt;
    }
    // Does the conversion function exist?
    elseif (function_exists('net\\xmp\\phpbook\\' . $link)) {
        $func = 'net\\xmp\\phpbook\\' . $link;
        return htmlspecialchars($func($value));
    }
    // Otherwise it is an object class
    else {
        $getdn = '';
        if (substr($link, 0, 3) === 'DN-') {
            $link = substr($link, 3);
            $getdn = '&amp;getDN=1';
        }
        return "<a  href='" . $this->url . '?name=' . rawurlencode($value)
                . "&amp;type=$link$getdn'>$txt</a>";
    }
}
