/**
 * Returns additional information for known OIDs (Object Identifier).
 * @param string $oid OID as string
 */
function oidInfo($oid) {
    static $info = array(
        '2.5.5.1' => 'Distinguished Name (DN)',
        '2.5.5.2' => 'OID',
        '2.5.5.3' => 'Case sensitive string',
        '2.5.5.4' => 'Case insensitive string',
        '2.5.5.5' => 'Printable string / IA5 String',
        '2.5.5.6' => 'Numeric string',
        '2.5.5.7' => 'DN with octet string / OR name',
        '2.5.5.8' => 'Boolean',
        '2.5.5.9' => 'Integer / Enumeration',
        '2.5.5.10' => 'Octet string',
        '2.5.5.11' => 'Time string (UTC)',
        '2.5.5.12' => 'Unicode string',
        '2.5.5.13' => 'OSI presentation address',
        '2.5.5.14' => 'DN with Unicode string',
        '2.5.5.15' => 'NT security descriptor',
        '2.5.5.16' => 'Large integer / Interval',
        '2.5.5.17' => 'SID',
    );
    return empty($info[$oid]) ? $oid : "$oid ($info[$oid])";
}
