<?php
namespace net\xmp\phpbook;
require './ExchangeSoapClient.php';
require './HTMLPage.php';
require './SearchParameters.php';

$options = array('login' => 'arno', 'password' => 'confidential',
                 'CACert' => './my-ca.cer', 'features' => SOAP_SINGLE_ELEMENT_ARRAYS);
$client = new ExchangeSoapClient('./Services.wsdl', $options);

$sp = new SearchParameters($_POST);
$param = $sp->getParams();
$response = $client->FindItem($param);

$page = new HTMLPage('Contacts found');
$table = array( array('Name', 'Position', 'Company',  'City',  'Postal code',  'Country') );
$items = $response->ResponseMessages->FindItemResponseMessage[0]->RootFolder->Items;
if (isset($items->Contact)) {
    foreach ($items->Contact as $item) {
        $home = getEntry($item->PhysicalAddresses->Entry, 'Home');
        $table[] = array($item->CompleteName->FullName,
                         $item->JobTitle, $item->CompanyName,
                         $home->City, $home->PostalCode, $home->CountryOrRegion);
    }
    $page->addTable($table);
}
else {
    $page->addElement('p', 'No contacts meet the criteria.');
}
$page->printPage();

function getEntry($entries, $key) {
    foreach ($entries as $entry) {
        if ($entry->Key == $key) {
            return $entry;
        }
    }
    return null;
}
